package org.processmining.plugins.bpmnminer.causalnet;

import java.awt.Graphics2D;

import org.processmining.models.graphbased.AttributeMap;
import org.processmining.models.graphbased.AttributeMap.ArrowType;
import org.processmining.models.graphbased.directed.AbstractDirectedGraphEdge;
import org.processmining.models.shapes.Decorated;

public class CausalGraphEdge<S extends CausalGraphNode, T extends CausalGraphNode> 
	extends AbstractDirectedGraphEdge<S, T> 
	implements Decorated {
	
	public CausalGraphEdge(S source, T target) {
		super(source, target);
		getAttributeMap().put(AttributeMap.SHOWLABEL, false);
		getAttributeMap().put(AttributeMap.EDGEEND, ArrowType.ARROWTYPE_CLASSIC);
	}

	public void decorate(Graphics2D g2d, double x, double y, double width, double height) {
		
	}

}
