package org.processmining.plugins.bpmnminer.ui;

import org.processmining.plugins.bpmnminer.types.MinerSettings;
import org.processmining.plugins.kutoolbox.ui.TwoColumnParameterPanel;

public abstract class AbstractParameterPanel extends TwoColumnParameterPanel {
	private static final long serialVersionUID = 874111438421148771L;

	protected MinerSettings settings;
	
	public AbstractParameterPanel(){
		this (new MinerSettings());
	}
	
	public AbstractParameterPanel(MinerSettings settings){
		super(35);
		this.settings = settings;
		this.init();
	}
	
	protected abstract void init();
	public abstract void applySettings(MinerSettings settings);
	public abstract MinerSettings getSettings();
}
